The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Modsecurity

Discussion in 'Security' started by LeetsHost, Apr 2, 2012.

  1. LeetsHost

    LeetsHost Member

    Joined:
    Apr 2, 2012
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    Im Having problems installing ModSecurity on my cPanel vps :( , Can anyone help or tell me how can i install it step by step,i have been trying for like 5 hours to get it working,but failed,i used google to help me out but still nothing was clear or which helped me, It would be really nice if someone can give a guide for Installing the NEW Mod Security :D
    Thanks in advance :D ............
     
  2. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    I have moved your request for help out of the feature request forums. Feature request forums should not be used for technical assistance :).
     
  3. Infopro

    Infopro cPanel Sr. Product Evangelist
    Staff Member

    Joined:
    May 20, 2003
    Messages:
    14,451
    Likes Received:
    195
    Trophy Points:
    63
    Location:
    Pennsylvania
    cPanel Access Level:
    Root Administrator
    Twitter:
    It might be helpful to provide more background Info on what you did, and how you know it failed to better assist.

    Short of that on a new system that has not been touched, I think the easiest answer would be this.

    Go to: WHM > Software > EasyApache (Apache Update)

    Click: Start customizing based on profile.

    Click: on next page click Next Step (assuming Apache 2.2.22 is selected).

    Click: on next page click Next Step.

    Click: on next page click Next Step.

    Find: on next page you see the "Short Options" list. Find Mod Security and tick it.

    Click: on bottom of page find Save and Build.

    Be patient: wait for the first popup and click past it, wait for the second stating these settings are now active, and click past it.

    Apply Rules: once Apache is rebuilt and restarted refresh WHM page completely and find Mod Security listed in Plugins section, bottom of left menu in WHM, and click to open this area.

    Edit config: find the Edit Config button and click. Is the text area at bottom of this page empty? If yes, lets populate it.

    Click: find the "Default Configuration" link at top and click it. That should populate the area. Now click Save Configuration at bottom.


    Easy Apache should now be installed properly I believe.
     
  4. LeetsHost

    LeetsHost Member

    Joined:
    Apr 2, 2012
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    Thank you so much

    WHM > Software > EasyApache (Apache Update)
    !! Critical Error (VZ): You are only only allowed to use 63 Megabytes of ram! 90 Megabytes is required. !!
    I guess I need to Increase my server ram. and then give it a try and give an update here ............
    Thanks again :D
     
  5. Infopro

    Infopro cPanel Sr. Product Evangelist
    Staff Member

    Joined:
    May 20, 2003
    Messages:
    14,451
    Likes Received:
    195
    Trophy Points:
    63
    Location:
    Pennsylvania
    cPanel Access Level:
    Root Administrator
    Twitter:
Loading...

Share This Page